# intDivOrZero

Same as [intDiv](/functions/math/intdiv.md) but returns zero when dividing by zero or when dividing `Long.MIN_VALUE` by `-1`.

## Signature

> intDivOrZero(col1, col2)

| Argument | Type   | Description |
| -------- | ------ | ----------- |
| `col1`   | DOUBLE | Dividend    |
| `col2`   | DOUBLE | Divisor     |

Returns: **LONG**

## Usage Examples

```sql
SELECT intDivOrZero(10, 3) AS value
FROM myTable
```

| value |
| ----- |
| 3     |

```sql
SELECT intDivOrZero(10, 0) AS value
FROM myTable
```

| value |
| ----- |
| 0     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/functions/math/intdivorzero.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
